Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros
asio_stream.h File Reference
`#include <botan/build.h>`
`#include <boost/version.hpp>`
`#include <botan/asio_async_ops.h>`
`#include <botan/asio_context.h>`
`#include <botan/asio_error.h>`
`#include <botan/tls_callbacks.h>`
`#include <botan/tls_channel.h>`
`#include <botan/tls_client.h>`
`#include <botan/tls_magic.h>`
`#include <boost/asio.hpp>`
`#include <boost/beast/core/flat_buffer.hpp>`
`#include <algorithm>`
`#include <memory>`
`#include <type_traits>`

Go to the source code of this file.

## Classes
class | Botan::TLS::Stream< StreamLayer, ChannelT >
| boost::asio compatible SSL/TLS stream More...
class | Botan::TLS::Stream< StreamLayer, ChannelT >::StreamCore
| Helper class that implements Botan::TLS::Callbacks. More...

## Namespaces
| Botan
| Botan::TLS

## Macros
#define | BOOST_ASIO_DISABLE_SERIAL_PORT

## Macro Definition Documentation

#define BOOST_ASIO_DISABLE_SERIAL_PORT

Definition at line 29 of file asio_stream.h.